Loading...
Searching...
No Matches
Opm::StandardPreconditioners< Operator, Comm, typename > Struct Template Reference

## Static Public Member Functions

static void | add ()
static PreconditionerFactory< Operator, Comm >::PrecPtr | createParILU (const Operator &op, const PropertyTree &prm, const Comm &comm, const int ilulevel)
static std::size_t | interiorIfGhostLast (const Comm &comm)
| Helper method to determine if the local partitioning has the K interior cells from [0, K-1] and ghost cells from [K, N-1].

## Member Function Documentation

## interiorIfGhostLast()

template<class Operator, class Comm, typename = void>

std::size_t Opm::StandardPreconditioners< Operator, Comm, typename >::interiorIfGhostLast | ( | const Comm & | comm | ) |

inline static

Helper method to determine if the local partitioning has the K interior cells from [0, K-1] and ghost cells from [K, N-1].

Returns K if true, otherwise returns N. This is motivated by usage in the ParallelOverlappingILU0 preconditioner.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/StandardPreconditioners_mpi.hpp